<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\User\UserId;
use DomainException;

use function sprintf;

final class DernierRoleNonRetirableException extends DomainException
{
    public static function pour(UserId $userId): self
    {
        return new self(sprintf(
            'Impossible de retirer le dernier rôle de l\'utilisateur %s.',
            $userId,
        ));
    }
}
